import { ScriptLoaderService } from '../../script-loader.service';
import * as i0 from "@angular/core";
declare var NSUtil: any;
export declare abstract class NSBaseDirective {
    protected scriptLoader: ScriptLoaderService;
    private elementRef;
    private http;
    protected element: HTMLElement;
    protected nsUtil: typeof NSUtil;
    protected arrEvents: string[];
    constructor();
    getElement(): HTMLElement;
    protected initializeScripts(compName: string[]): void;
    protected initializeEvents(arrEvents: string[]): void;
    protected addEvents(): void;
    protected eventListener(event: any, eventName: string): void;
    protected injectCSS(cssString: string, styleId?: string): void;
    protected loadCSS(cssPath: string): void;
    protected getLibraryCssPath(relativePath: string): string;
    protected getBaseLibraryPath(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NSBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NSBaseDirective, "[nsBaseDirective]", never, {}, {}, never, never, false, never>;
}
export {};
